### Method

# Gegl Curve calc_values

#### Declaration [src]

    void
    gegl_curve_calc_values (
      GeglCurve* curve,
      gdouble x_min,
      gdouble x_max,
      guint num_samples,
      gdouble* xs,
      gdouble* ys
    )

#### Description [src]

Compute a set (lookup table) of coordinates.

This method is not directly available to language bindings.

#### Parameters

`x_min`

  Type: `gdouble`

  The minimum value to compute for.

`x_max`

  Type: `gdouble`

  The maximum value to compute for.

`num_samples`

  Type: `guint`

  Number of samples to calculate.

`xs`

  Type: `gdouble*`

  Return location for the x coordinates.

  The data is owned by the caller of the method.

`ys`

  Type: `gdouble*`

  Return location for the y coordinates.

  The data is owned by the caller of the method.